// 不良定义api
import request from '@/utils/request'
import Qs from 'qs'

// 分页查询列表
export function listBad(query) {
  return request({
    url: '/nltdisadvantage/queryNltDisadvantageByPagination',
    method: 'get',
    params: query
  })
}
// 查询工站下拉框
export function listPost(query) {
  return request({
    url: '/nltstation/queryNltStations',
    method: 'get',
    params: query
  })
}
// 查询表集合
export function queryNltDisadvantagesDetail(query) {
  return request({
    url: '/nltdisadvantage/queryNltDisadvantages',
    method: 'get',
    params: query
  })
}

// 逻辑删除不良定义
export function deleteLogical(businessId) {
  return request({
    url: '/nltdisadvantage/deleteLogical/' + businessId,
    method: 'delete'
  })
}
// 不良定义
export function updateData(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/nltdisadvantage/update/' + businessId,
    method: 'put',
    data
  })
}
// 新增不良定义
export function addBad(data) {
  data = Qs.stringify(data)
  return request({
    url: '/nltdisadvantage/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}
// 导出不良定义
export function exportBad(query) {
  return request({
    url: '/nltdisadvantage/exportDisAvd',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 不良定义excel导入
export function importDisAvd(data) {
  return request({
    url: '/nltdisadvantage/importDisAvd',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}
// 下载不良导入模板
export function exportDisAvdTemplate(params) {
  return request({
    url: '/nltdisadvantage/exportDisAvdTemplate',
    method: 'get',
    responseType: 'blob',
    params
  })
}
