// 物料档案-API

import request from '@/utils/request'
import Qs from 'qs'

// 查询物料列表
export function listMaterial(query) {
  return request({
    url: '/nltifsmaterial/queryNltIfsMaterialByPagination',
    method: 'get',
    params: query
  })
}

// 生产模型查询物料列表
export function listModelMaterial(query) {
  return request({
    url: '/nltifsmaterial/queryProNltIfsMaterialByPagination',
    method: 'get',
    params: query
  })
}

// 查询物料单表
export function getMaterial(materialId) {
  return request({
    url: '/nltifsmaterial/detail/' + materialId,
    method: 'get'
  })
}

// 修改物料状态
export function changeStaStatus(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/nltifsmaterial/changeStatus/' + businessId,
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 修改物料表
export function updateMaterial(data) {
  // const businessId = data.businessId
  return request({
    url: '/nltifsmaterial/update',
    method: 'put',
    data: data,
    headers: {
      'Content-Type': 'application/json'
    }
  })
}

// 导出物料信息
export function exportMater(query) {
  return request({
    url: '/nltifsmaterial/exportMaterial',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 下载文件
export function downloadSoftFile(params) {
  return request({
    url: '/nltifsmaterial/downloadSoftFile',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

// 下载文件
export function queryAllFile(params) {
  return request({
    url: '/nltifsmaterial/queryAllFile',
    method: 'get',
    params
  })
}

// 下载文件
export function deleteOssInfo(params) {
  return request({
    url: '/nltifsmaterial/deleteOssInfo/' + params.id,
    method: 'post'
  })
}

// 下载文件
export function exportMaterVerTemplate(params) {
  return request({
    url: '/nltifsmaterial/exportMaterVerTemplate',
    method: 'get',
    responseType: 'blob'
  })
}

// 导入
export function importMaterVer(data) {
  return request({
    url: '/nltifsmaterial/importMaterVer',
    method: 'post',
    data
  })
}
