// 生产模型api
import request from '@/utils/request'
import Qs from 'qs'

// 分页查询列表
export function listModel(query) {
  return request({
    url: '/nltmodel/queryNltModelByPagination',
    method: 'get',
    params: query
  })
}

// 删除
export function deleteLogicalId(data) {
  return request({
    url: '/nltmodel/deleteLogical/' + data.businessId,
    method: 'delete',
  })
}

// 复制
export function queryCopyNltModels(params) {
  return request({
    url: '/nltmodel/queryCopyNltModels',
    method: 'get',
    params
  })
}

// 查询物料列表
export function queryNltIfsMaterialCopyByPagination(query) {
  return request({
    url: '/nltifsmaterial/queryNltIfsMaterialCopyByPagination',
    method: 'get',
    params: query
  })
}

// 修改生产模型状态
export function updateStatus(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/nltmodel/updateStatus/' + businessId,
    method: 'put',
    data
  })
}
