import request from '@/utils/request'
import Qs from 'qs'

// 查询工站列表
export function listStation(query) {
  return request({
    url: '/nltstation/queryNltStationByPagination',
    method: 'get',
    params: query
  })
}

// 新增工站
export function addStation(data) {
  data = Qs.stringify(data)
  return request({
    url: '/nltstation/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 查询工站单表
export function getStation(stationID) {
  return request({
    url: '/nltstation/detail/' + stationID,
    method: 'get'
  })
}

// 修改工站
export function updateStation(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/nltstation/update/' + businessId,
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 修改工站状态
export function changeStaStatus(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/nltstation/changeStatus/' + businessId,
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 删除工站（逻辑删除）
export function delStation(stationID) {
  return request({
    url: '/nltstation/deleteLogical/' + stationID,
    method: 'delete'
  })
}
