import request from '@/utils/request'
import Qs from 'qs'

// 查询设备列表
export function listDevice(query) {
  return request({
    url: '/nltdevice/queryNltDeviceByPagination',
    method: 'get',
    params: query
  })
}

// 新增设备
export function addDevice(data) {
  data = Qs.stringify(data)
  return request({
    url: '/nltdevice/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 查询设备单表
export function getDevice(deviceID) {
  return request({
    url: '/nltdevice/detail/' + deviceID,
    method: 'get'
  })
}

// 修改设备
export function updateDevice(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/nltdevice/update/' + businessId,
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 修改设备状态
export function changeDevStatus(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/nltdevice/changeStatus/' + businessId,
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 删除设备（逻辑删除）
export function delDevice(deviceID) {
  return request({
    url: '/nltdevice/deleteLogical/' + deviceID,
    method: 'delete'
  })
}
