// 生产工单－API

import request from '@/utils/request'
import Qs from 'qs'

// 查询工单列表
export function listOrder(query) {
  return request({
    url: '/nltifsorder/queryNltIfsOrderByPagination',
    method: 'get',
    params: query
  })
}

// 完结开启
export function openEnd(query) {
  return request({
    url: '/nltifsorder/updateEnd',
    method: 'post',
    params: query
  })
}

// 删除生产工单（逻辑删除）
export function delOrder(orderID) {
  return request({
    url: '/nltifsorder/deleteLogical/' + orderID,
    method: 'delete'
  })
}

// 查询工单单表1
export function getOrder(orderID) {
  return request({
    url: '/nltifsorder/detail/' + orderID,
    method: 'get'
  })
}

// 查询工单单表2
export function getOrder1(orderID) {
  return request({
    url: '/nltifsorder/detail1/' + orderID,
    method: 'get'
  })
}

// 查询工单-物料列表
export function listOrderMater(query) {
  return request({
    url: '/nltifsorder/queryNltIfsOrderMaterialByPagination',
    method: 'get',
    params: query
  })
}
// 导入工单
export function manualImport(query) {
  return request({
    url: '/nltscheduledresult/singleBom',
    method: 'get',
    params: query
  })
}

// 查询工单-线别列表
export function listOrderLine(query) {
  return request({
    url: '/nltifsorder/queryNltIfsOrderLineLogicByPagination',
    method: 'get',
    params: query
  })
}

// 查询工单-工站列表
export function listStation(query) {
  return request({
    url: '/nltifsorder/queryNltIfsOrderStationByPagination',
    method: 'get',
    params: query
  })
}

// 查询工单-模型列表
export function listModelOrder(query) {
  return request({
    url: '/nltifsorder/queryNltIfsOrderModelByPagination',
    method: 'get',
    params: query
  })
}
// 清除缓存
export function clearCache(businessId) {
  return request({
    url: '/nltifsorder/clear/' + businessId,
    method: 'delete'
  })
}

// 修改配置PO
export function editPo(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/nltorderlinelogic/update/' + businessId,
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}
